openapi: 3.1.0
components:
  schemas:
    GuRelationsDto:
      type: object
      properties:
        gufBroId:
          type: string
        url:
          type: string
        characteristics:
          type: object
          properties:
            broId:
              type: string
            qualityRegime:
              type: string
            deliveryAccountableParty:
              type: string
            objectRegistrationTime:
              type: string
            latestCorrectionTime:
              type: string
            underReview:
              type: string
            underReviewTime:
              type: string
            deregistered:
              type: string
        gpdReferences:
          type: array
          items:
            type: object
            properties:
              broId:
                type: string
              url:
                type: string
              accountableParty:
                type: string
              characteristics:
                type: object
                properties:
                  broId:
                    type: string
                  qualityRegime:
                    type: string
                  deliveryAccountableParty:
                    type: string
                  objectRegistrationTime:
                    type: string
                  latestCorrectionTime:
                    type: string
                  underReview:
                    type: string
                  underReviewTime:
                    type: string
                  deregistered:
                    type: string
    RegistrationObjectReference:
      type: object
      properties:
        broId:
          type: string
        url:
          type: string
        accountableParty:
          type: string
        characteristics:
          type: object
          properties:
            broId:
              type: string
            qualityRegime:
              type: string
            deliveryAccountableParty:
              type: string
            objectRegistrationTime:
              type: string
            latestCorrectionTime:
              type: string
            underReview:
              type: string
            underReviewTime:
              type: string
            deregistered:
              type: string
    RelationsDto:
      type: object
      properties:
        broId:
          type: string
        qualityRegime:
          type: string
        deliveryAccountableParty:
          type: string
        objectRegistrationTime:
          type: string
        latestCorrectionTime:
          type: string
        underReview:
          type: string
        underReviewTime:
          type: string
        deregistered:
          type: string
    ServiceError:
      type: object
      properties:
        title:
          type: string
        description:
          type: string
        errorCode:
          type: integer
          format: int32
paths:
  /gu/v1/gu-relations/{broId}:
    get:
      summary: Haalt aan dit grondwatergebruiksysteem (GUF) gerelateerde grondwaterproductiesysteem (GPD) objecten op
      description: Haalt een overzicht op van aan dit grondwatergebruiksysteem (GUF) gerelateerde grondwaterproductiesystemen (GPD).
      operationId: gu-relations
      parameters:
        - description: Het BRO-ID van de grondwatergebruiksysteem (GUF).
          example: GUF000000038500
          name: broId
          in: path
          required: true
          schema:
            type: string
        - description: |-
            Deze parameter bepaalt of er wel of niet kensetgegevens in de response staan. 
            Er zijn twee mogelijke waarden: true, false.
          example: true
          name: inclMetadata
          in: query
          schema:
            type: boolean
            default: 'false'
      responses:
        '200':
          description: De gevraagde relaties.
          headers:
            API-Version:
              description: Versie van deze GU API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  gufBroId:
                    type: string
                  url:
                    type: string
                  characteristics:
                    type: object
                    properties:
                      broId:
                        type: string
                      qualityRegime:
                        type: string
                      deliveryAccountableParty:
                        type: string
                      objectRegistrationTime:
                        type: string
                      latestCorrectionTime:
                        type: string
                      underReview:
                        type: string
                      underReviewTime:
                        type: string
                      deregistered:
                        type: string
                  gpdReferences:
                    type: array
                    items:
                      type: object
                      properties:
                        broId:
                          type: string
                        url:
                          type: string
                        accountableParty:
                          type: string
                        characteristics:
                          type: object
                          properties:
                            broId:
                              type: string
                            qualityRegime:
                              type: string
                            deliveryAccountableParty:
                              type: string
                            objectRegistrationTime:
                              type: string
                            latestCorrectionTime:
                              type: string
                            underReview:
                              type: string
                            underReviewTime:
                              type: string
                            deregistered:
                              type: string
        '400':
          description: Er bevinden zich fouten in het verzoek.
          headers:
            API-Version:
              description: Versie van deze GU API
              schema:
                type: string
                examples:
                  - 3.2.1
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  errorCode:
                    type: integer
                    format: int32
info:
  title: Grondwatergebruik (GU) domein
  version: 2.197.0
  description: Landelijke Voorziening Basisregistratie Ondergrond (BRO), uitgifte grondwatergebruik (GU) in samenhang
  contact:
    name: BRO Servicedesk
    email: support@broservicedesk.nl
    url: https://basisregistratieondergrond.nl/service-contact/
